unit ufrmMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, uxFrame, ComCtrls;

type
  TfrmMain = class(TForm)
    TabControl: TTabControl;
    procedure FormCreate(Sender: TObject);
    procedure TabControlChange(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    fFrameManager: TxFrameManager;
  end;

var
  frmMain: TfrmMain;

implementation

uses ufPrvi, ufDrugi, ufTreci, ufCetvrti;

{$R *.dfm}

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  fFrameManager := TxFrameManager.Create;
  // registrovanje frameova
  fFrameManager.RegisterFrame(TfPrvi);
  fFrameManager.RegisterFrame(TfDrugi);
  fFrameManager.RegisterFrame(TfTreci);
  fFrameManager.RegisterFrame(TfCetvrti);
  // prikazivanje inicijalnog framea
  fFrameManager.ShowFrame(TabControl.TabIndex, TabControl);
end;

procedure TfrmMain.TabControlChange(Sender: TObject);
begin
  fFrameManager.ShowFrame(TabControl.TabIndex, TabControl);
end;

procedure TfrmMain.FormResize(Sender: TObject);
begin
  fFrameManager.ShowFrame(TabControl.TabIndex, TabControl);
end;

end.
